Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label

# Class LabeledViewerCreator

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label.LabeledViewerCreator

All Implemented Interfaces:
  `org.eclipse.compare.IViewerCreator`

public class LabeledViewerCreator extends Object implements org.eclipse.compare.IViewerCreator
Creates an empty viewer with a single centered label which say to wait for the comparison to finish or there is no selected item if the comparison is finished.

## Constructor Summary

Constructors
Constructor
Description
`LabeledViewerCreator()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.jface.viewers.Viewer`
`createViewer(org.eclipse.swt.widgets.Composite parent, org.eclipse.compare.CompareConfiguration config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LabeledViewerCreator

public LabeledViewerCreator()

## Method Details

### createViewer

public org.eclipse.jface.viewers.Viewer createViewer(org.eclipse.swt.widgets.Composite parent, org.eclipse.compare.CompareConfiguration config)

Specified by:
  `createViewer` in interface `org.eclipse.compare.IViewerCreator`
See Also:
  - `IViewerCreator.createViewer(org.eclipse.swt.widgets.Composite, org.eclipse.compare.CompareConfiguration)`